<?php
    /**
     * @class  tccommentnotifier view
     * @author haneul (haneul0318@gmail.com) 
     * @brief  tccommentnotifier 모듈의 view class
     **/

    class tccommentnotifyView extends tccommentnotify {

        function init() {
        }

        function dispCommentNotifyPlugin()
        {
            $oCommentNotifyModel = &getModel('tccommentnotify');

            $args->page = Context::get('page'); ///< 페이지
            $args->sort_index = 'list_order'; ///< 소팅 값
            if(!$oCommentNotifyModel) return;

            $output = $oCommentNotifyModel->GetNotifiedList($args, $this->module_srl);

            Context::set('total_count', $output->total_count);
            Context::set('total_page', $output->total_page);
            Context::set('page', $output->page);
            Context::set('notify_list', $output->notify_list);
            Context::set('page_navigation', $output->page_navigation);

            $this->setTemplatePath($this->module_path.'tpl');
            $this->setTemplateFile('textyle_comment_notify');
        }

    }
?>
